Page MenuHomePhabricator

Documentation of daily activities and responsibilities of CLs and Product teams
Closed, ResolvedPublic

Description

I'm assigning the task to myself for what concerns CLs - the group which is working around this is much larger.
I'd like to thank @Moushira for starting a related conversation among CLs and providing a frame for discussion.

Event Timeline

Elitre created this task.May 20 2016, 10:14 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 20 2016, 10:14 AM
Elitre triaged this task as High priority.May 20 2016, 10:14 AM
Elitre updated the task description. (Show Details)May 20 2016, 10:16 AM
Elitre added subscribers: Keegan, Awjrichards, Tnegrin and 2 others.
Johan added a subscriber: Johan.May 20 2016, 3:55 PM
Elitre added a comment.EditedJun 29 2016, 3:33 PM

More details about deliverables ASAP (possibly in July).

There haven't been many meetings lately, and I'm attending them to provide a CL POV.
There should be one at some point with several WMF "stakeholders" to go through the results of an internal "survey" about what's working and what's not in our relationship, and to see if there are "low hanging" fruits we can pick to improve something in the short term.
(My apology for the imperfect terminology: I trust you get the gist.)

Qgil mentioned this in Unknown Object (Task).Sep 2 2016, 8:03 AM

"Documentation of daily activities and responsibilities of CLs and Product teams" will happen through more detailed documentation at the Technical-Collaboration-Guidance , right? We also have the Community Liaison job description as a reference.

I still think it is worth having this task open as an individual goal, hopefully to be completed to a "good enough" level by the end of next quarter?

Quiddity removed a subscriber: Quiddity.Sep 16 2016, 8:03 PM
Elitre added a comment.EditedSep 29 2016, 4:56 PM

So I added some links related to roles and responsibilities to our page on Meta, and will also put a list of workflows there.

A step that has been talked about, but I don't own entirely, is publishing job descriptions somewhere (for what concerns me, I published my Senior CL JD on Office, in case it's needed for internal conversations).

As for the conversation between CLs and Product teams:
the TL;DR is that it became something way larger than anticipated, and it involved several people.

The current understanding is that part of that conversation is now related to TCG, so it should produce documentation in that area, yes.
But for what concerns the particular point I'm interested in, that is, the relationship between CLs and Product teams (as well as other issues that have been discussed in the larger group), I have volunteered to lead related efforts. My intention is that, once Product identifies a person willing to work with me on these issues, we can start brainstorming solutions and at least trying to get something done. I would also like the Team Practices group to be involved as much as possible, going forward.
I believe that improving process, for example, may be a "low hanging fruit"; the goal is having a healthy relationship, and sticking to some kind of protocol may be a first step in that direction.

The workflows are now published.
Will file a separate task for future work.

Elitre closed this task as Resolved.Sep 30 2016, 5:54 PM
Qgil awarded a token.Oct 4 2016, 6:25 PM